Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.selection
Interface SelectionModel

All Superinterfaces:
  SingleSelectionModel

All Known Implementing Classes:
  AbstractSelectionModel, DefaultSelectionModel, SelectionModelDecorator

public interface SelectionModel
extends SingleSelectionModel

SelectionModel for Tree and Table components.

Author:
  av

Field Summary
`static int` | `MULTIPLE_SELECTION` check boxes
`static int` | `MULTIPLE_SELECTION_BUTTON` use image buttons that look like checkboxes
`static int` | `MULTIPLE_SELECTION_HREF` hyperlinks
`static int` | `NO_SELECTION` no selection
`static int` | `SINGLE_SELECTION` radio buttons
`static int` | `SINGLE_SELECTION_BUTTON` use image buttons that look like checkboxes
`static int` | `SINGLE_SELECTION_HREF` hyperlinks

Method Summary
`void` | `add(java.lang.Object obj)`
`void` | `addAll(java.util.Collection c)`
`boolean` | `contains(java.lang.Object obj)`
`int` | `getMode()`
`java.util.Set` | `getSelection()`
`void` | `remove(java.lang.Object obj)`
`void` | `setMode(int mode)`

Methods inherited from interface com.tonbeller.wcf.selection.SingleSelectionModel
`addSelectionListener, clear, fireSelectionChanged, getSingleSelection, isEmpty, isSelectable, removeSelectionListener, setSingleSelection`

Field Detail

### NO_SELECTION

    public static final int NO_SELECTION

  no selection

  See Also:
    Constant Field Values

### SINGLE_SELECTION

    public static final int SINGLE_SELECTION

  radio buttons

  See Also:
    Constant Field Values

### MULTIPLE_SELECTION

    public static final int MULTIPLE_SELECTION

  check boxes

  See Also:
    Constant Field Values

### SINGLE_SELECTION_HREF

    public static final int SINGLE_SELECTION_HREF

  hyperlinks

  See Also:
    Constant Field Values

### MULTIPLE_SELECTION_BUTTON

    public static final int MULTIPLE_SELECTION_BUTTON

  use image buttons that look like checkboxes

  See Also:
    Constant Field Values

### MULTIPLE_SELECTION_HREF

    public static final int MULTIPLE_SELECTION_HREF

  hyperlinks

  See Also:
    Constant Field Values

### SINGLE_SELECTION_BUTTON

    public static final int SINGLE_SELECTION_BUTTON

  use image buttons that look like checkboxes

  See Also:
    Constant Field Values

Method Detail

### getMode

    public int getMode()

### setMode

    public void setMode(int mode)

### getSelection

    public java.util.Set getSelection()

### add

    public void add(java.lang.Object obj)

### addAll

    public void addAll(java.util.Collection c)

### remove

    public void remove(java.lang.Object obj)

### contains

    public boolean contains(java.lang.Object obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD